Bug 678016 - .orig backup appears even if --posix option is specified
.orig backup appears even if --posix option is specified
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: patch (Show other bugs)
rawhide
Unspecified Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On: 677685
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-16 09:00 EST by Mamoru TASAKA
Modified: 2011-03-04 04:55 EST (History)
2 users (show)

See Also:
Fixed In Version: patch-2.6.1-9.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 677685
Environment:
Last Closed: 2011-03-04 04:55:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2011-02-16 09:00:21 EST
+++ This bug was initially created as a clone of Bug #677685 +++

Description of problem:
Koji build of rubygem-actionpack fails while it worked week ago:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2841403
http://koji.fedoraproject.org/koji/buildinfo?buildID=225223

Version-Release number of selected component (if applicable):
mock-chroot> cat /etc/redhat-release 
Fedora release 15 (Rawhide)
mock-chroot> rpm -q patch
patch-2.6.1-8.fc15.x86_64

How reproducible:
mock -r fedora-x86_64 ../SRPMS/rubygem-actionpack-3.0.3-3.fc14.src.rpm

mock-chroot> ls specifications/
actionpack-3.0.3.gemspec
mock-chroot> /usr/bin/patch -s -p0 --fuzz=0 < /builddir/build/SOURCES/actionpack-downgrade-dependencies.patch
mock-chroot> ls specifications/
actionpack-3.0.3.gemspec  actionpack-3.0.3.gemspec.orig


Well, so currently when some hunk is found like:
The text leading up to this was:
--------------------------
|--- specifications/actionpack-3.0.3.gemspec.orig       2011-01-18 16:24:30.469405214 -0500
|+++ specifications/actionpack-3.0.3.gemspec    2011-01-18 16:26:01.445405000 -0500
--------------------------
Patching file specifications/actionpack-3.0.3.gemspec using Plan A...
Hunk #1 succeeded at 26 (offset -1 lines).
done

Actually with --no-backup-if-mismatch option backup file is not created.
However with --posix option backup file is actually created. As far as
I read $ man patch, --posix should behave as the same as 
--no-backup-if-mismatch option is used and no backup file should be created.
Comment 1 Tim Waugh 2011-02-16 12:44:46 EST
Reported upstream and fixed in patch-2.6.1-9.fc13.
Comment 2 Mamoru TASAKA 2011-02-17 12:54:00 EST
Would you submit push request on bodhi?
Comment 3 Fedora Update System 2011-02-17 17:33:45 EST
patch-2.6.1-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/patch-2.6.1-9.fc15
Comment 4 Fedora Update System 2011-02-17 22:17:57 EST
patch-2.6.1-9.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update patch'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/patch-2.6.1-9.fc15
Comment 5 Fedora Update System 2011-03-04 04:55:00 EST
patch-2.6.1-9.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.